/*!
  \file
  \brief Lua への Obstacles 登録

  \author Satofumi KAMIMURA

  $Id: luabindObstacles.cpp 1164 2009-07-19 23:20:03Z satofumi $
*/

#include "luabindObstacles.h"
#include "Box.h"
#include "Cylinder.h"
#include <luabind/luabind.hpp>

using namespace qrk;
using namespace luabind;


void qrk::luabindObstacles(lua_State* L)
{
  module(L)
    [
     class_<Box, OdeModel>("Box")
     .def(constructor<long, long, long, dReal>())
     .def("setPosition", &Box::setPosition),

     class_<Cylinder, OdeModel>("Cylinder")
     .def(constructor<long, long, dReal>())
     .def("setPosition", &Cylinder::setPosition)
     ];
}
